ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/deliantra/server/plugins/cfanim/Makefile.in
(Generate patch)

Comparing deliantra/server/plugins/cfanim/Makefile.in (file contents):
Revision 1.1.1.2 by elmex, Wed Mar 15 14:05:32 2006 UTC vs.
Revision 1.6 by pippijn, Sun Jul 2 15:09:14 2006 UTC

1# Makefile.in generated by automake 1.9.5 from Makefile.am. 1# Makefile.in generated by automake 1.7.9 from Makefile.am.
2# @configure_input@ 2# @configure_input@
3 3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 4# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
5# 2003, 2004, 2005 Free Software Foundation, Inc. 5# Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation 6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it, 7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved. 8# with or without modifications, as long as this notice is preserved.
9 9
10# This program is distributed in the hope that it will be useful, 10# This program is distributed in the hope that it will be useful,
37# along with this program; if not, write to the Free Software 37# along with this program; if not, write to the Free Software
38# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 38# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
39# 39#
40# The author can be reached via e-mail to mwedel@sonic.net 40# The author can be reached via e-mail to mwedel@sonic.net
41 41
42SOURCES = $(cfanim_la_SOURCES)
43
44srcdir = @srcdir@ 42srcdir = @srcdir@
45top_srcdir = @top_srcdir@ 43top_srcdir = @top_srcdir@
46VPATH = @srcdir@ 44VPATH = @srcdir@
47pkgdatadir = $(datadir)/@PACKAGE@ 45pkgdatadir = $(datadir)/@PACKAGE@
48pkglibdir = $(libdir)/@PACKAGE@ 46pkglibdir = $(libdir)/@PACKAGE@
49pkgincludedir = $(includedir)/@PACKAGE@ 47pkgincludedir = $(includedir)/@PACKAGE@
50top_builddir = ../.. 48top_builddir = ../..
49
51am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd 50am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
52INSTALL = @INSTALL@ 51INSTALL = @INSTALL@
53install_sh_DATA = $(install_sh) -c -m 644 52install_sh_DATA = $(install_sh) -c -m 644
54install_sh_PROGRAM = $(install_sh) -c 53install_sh_PROGRAM = $(install_sh) -c
55install_sh_SCRIPT = $(install_sh) -c 54install_sh_SCRIPT = $(install_sh) -c
59PRE_INSTALL = : 58PRE_INSTALL = :
60POST_INSTALL = : 59POST_INSTALL = :
61NORMAL_UNINSTALL = : 60NORMAL_UNINSTALL = :
62PRE_UNINSTALL = : 61PRE_UNINSTALL = :
63POST_UNINSTALL = : 62POST_UNINSTALL = :
64build_triplet = @build@
65host_triplet = @host@ 63host_triplet = @host@
66subdir = plugins/cfanim
67DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
68ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
69am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
70 $(top_srcdir)/configure.ac
71am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
72 $(ACLOCAL_M4)
73mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
74CONFIG_HEADER = $(top_builddir)/include/autoconf.h
75CONFIG_CLEAN_FILES =
76am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
77am__vpath_adj = case $$p in \
78 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
79 *) f=$$p;; \
80 esac;
81am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
82am__installdirs = "$(DESTDIR)$(plugindir)"
83pluginLTLIBRARIES_INSTALL = $(INSTALL)
84LTLIBRARIES = $(plugin_LTLIBRARIES)
85cfanim_la_DEPENDENCIES =
86am_cfanim_la_OBJECTS = cfanim.lo plugin_common.lo
87cfanim_la_OBJECTS = $(am_cfanim_la_OBJECTS)
88DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
89depcomp = $(SHELL) $(top_srcdir)/utils/depcomp
90am__depfiles_maybe = depfiles
91COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
92 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
93LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
94 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
95 $(AM_CFLAGS) $(CFLAGS)
96CCLD = $(CC)
97LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
98 $(AM_LDFLAGS) $(LDFLAGS) -o $@
99SOURCES = $(cfanim_la_SOURCES)
100DIST_SOURCES = $(cfanim_la_SOURCES)
101RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
102 html-recursive info-recursive install-data-recursive \
103 install-exec-recursive install-info-recursive \
104 install-recursive installcheck-recursive installdirs-recursive \
105 pdf-recursive ps-recursive uninstall-info-recursive \
106 uninstall-recursive
107ETAGS = etags
108CTAGS = ctags
109DIST_SUBDIRS = $(SUBDIRS)
110DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
111ACLOCAL = @ACLOCAL@ 64ACLOCAL = @ACLOCAL@
112AMDEP_FALSE = @AMDEP_FALSE@ 65AMDEP_FALSE = @AMDEP_FALSE@
113AMDEP_TRUE = @AMDEP_TRUE@ 66AMDEP_TRUE = @AMDEP_TRUE@
114AMTAR = @AMTAR@ 67AMTAR = @AMTAR@
115AR = @AR@ 68AR = @AR@
124CCDEPMODE = @CCDEPMODE@ 77CCDEPMODE = @CCDEPMODE@
125CFLAGS = @CFLAGS@ 78CFLAGS = @CFLAGS@
126COMPRESS = @COMPRESS@ 79COMPRESS = @COMPRESS@
127CPP = @CPP@ 80CPP = @CPP@
128CPPFLAGS = @CPPFLAGS@ 81CPPFLAGS = @CPPFLAGS@
129CXX = @CXX@ 82CROSSEDIT = @CROSSEDIT@
130CXXCPP = @CXXCPP@
131CXXDEPMODE = @CXXDEPMODE@
132CXXFLAGS = @CXXFLAGS@
133CYGPATH_W = @CYGPATH_W@ 83CYGPATH_W = @CYGPATH_W@
134DEFS = @DEFS@ 84DEFS = @DEFS@
135DEPDIR = @DEPDIR@ 85DEPDIR = @DEPDIR@
136ECHO = @ECHO@ 86ECHO = @ECHO@
137ECHO_C = @ECHO_C@ 87ECHO_C = @ECHO_C@
138ECHO_N = @ECHO_N@ 88ECHO_N = @ECHO_N@
139ECHO_T = @ECHO_T@ 89ECHO_T = @ECHO_T@
140EGREP = @EGREP@ 90EGREP = @EGREP@
141EXEEXT = @EXEEXT@ 91EXEEXT = @EXEEXT@
142F77 = @F77@
143FFLAGS = @FFLAGS@
144GUNZIP = @GUNZIP@ 92GUNZIP = @GUNZIP@
145GZIP = @GZIP@ 93GZIP = @GZIP@
146HAVE_LIBDL_FALSE = @HAVE_LIBDL_FALSE@ 94HAVE_LIBDL_FALSE = @HAVE_LIBDL_FALSE@
147HAVE_LIBDL_TRUE = @HAVE_LIBDL_TRUE@ 95HAVE_LIBDL_TRUE = @HAVE_LIBDL_TRUE@
148HAVE_X_FALSE = @HAVE_X_FALSE@ 96HAVE_X_FALSE = @HAVE_X_FALSE@
150INSTALL_DATA = @INSTALL_DATA@ 98INSTALL_DATA = @INSTALL_DATA@
151INSTALL_PROGRAM = @INSTALL_PROGRAM@ 99INSTALL_PROGRAM = @INSTALL_PROGRAM@
152INSTALL_SCRIPT = @INSTALL_SCRIPT@ 100INSTALL_SCRIPT = @INSTALL_SCRIPT@
153INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ 101INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
154LATEX = @LATEX@ 102LATEX = @LATEX@
103LD = @LD@
155LDFLAGS = @LDFLAGS@ 104LDFLAGS = @LDFLAGS@
156LEX = @LEX@ 105LEX = @LEX@
157LEXLIB = @LEXLIB@ 106LEXLIB = @LEXLIB@
158LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@ 107LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
159LIBOBJS = @LIBOBJS@ 108LIBOBJS = @LIBOBJS@
163LTLIBOBJS = @LTLIBOBJS@ 112LTLIBOBJS = @LTLIBOBJS@
164MAINT = @MAINT@ 113MAINT = @MAINT@
165MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@ 114MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
166MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@ 115MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
167MAKEINFO = @MAKEINFO@ 116MAKEINFO = @MAKEINFO@
117NM = @NM@
168OBJEXT = @OBJEXT@ 118OBJEXT = @OBJEXT@
169PACKAGE = @PACKAGE@ 119PACKAGE = @PACKAGE@
170PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ 120PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
171PACKAGE_NAME = @PACKAGE_NAME@ 121PACKAGE_NAME = @PACKAGE_NAME@
172PACKAGE_STRING = @PACKAGE_STRING@ 122PACKAGE_STRING = @PACKAGE_STRING@
173PACKAGE_TARNAME = @PACKAGE_TARNAME@ 123PACKAGE_TARNAME = @PACKAGE_TARNAME@
174PACKAGE_VERSION = @PACKAGE_VERSION@ 124PACKAGE_VERSION = @PACKAGE_VERSION@
175PATH_SEPARATOR = @PATH_SEPARATOR@ 125PATH_SEPARATOR = @PATH_SEPARATOR@
176PERL = @PERL@ 126PERL = @PERL@
127PERLFLAGS = @PERLFLAGS@
128PERLLIB = @PERLLIB@
129PERLPRIVLIBEXP = @PERLPRIVLIBEXP@
130PERL_PLUGIN = @PERL_PLUGIN@
131PERL_PLUGIN_FALSE = @PERL_PLUGIN_FALSE@
132PERL_PLUGIN_TRUE = @PERL_PLUGIN_TRUE@
177PLUGIN_PYTHON = @PLUGIN_PYTHON@ 133PLUGIN_PYTHON = @PLUGIN_PYTHON@
178PYTHON_LIB = @PYTHON_LIB@ 134PYTHON_LIB = @PYTHON_LIB@
179PYTHON_PLUGIN_FALSE = @PYTHON_PLUGIN_FALSE@ 135PYTHON_PLUGIN_FALSE = @PYTHON_PLUGIN_FALSE@
180PYTHON_PLUGIN_TRUE = @PYTHON_PLUGIN_TRUE@ 136PYTHON_PLUGIN_TRUE = @PYTHON_PLUGIN_TRUE@
181PY_INCLUDES = @PY_INCLUDES@ 137PY_INCLUDES = @PY_INCLUDES@
182PY_LIBS = @PY_LIBS@ 138PY_LIBS = @PY_LIBS@
183RANLIB = @RANLIB@ 139RANLIB = @RANLIB@
140SED = @SED@
184SET_MAKE = @SET_MAKE@ 141SET_MAKE = @SET_MAKE@
185SHELL = @SHELL@ 142SHELL = @SHELL@
186STRIP = @STRIP@ 143STRIP = @STRIP@
187TAR = @TAR@ 144TAR = @TAR@
188UNCOMPRESS = @UNCOMPRESS@ 145UNCOMPRESS = @UNCOMPRESS@
192X_EXTRA_LIBS = @X_EXTRA_LIBS@ 149X_EXTRA_LIBS = @X_EXTRA_LIBS@
193X_LIBS = @X_LIBS@ 150X_LIBS = @X_LIBS@
194X_PRE_LIBS = @X_PRE_LIBS@ 151X_PRE_LIBS = @X_PRE_LIBS@
195ac_ct_AR = @ac_ct_AR@ 152ac_ct_AR = @ac_ct_AR@
196ac_ct_CC = @ac_ct_CC@ 153ac_ct_CC = @ac_ct_CC@
197ac_ct_CXX = @ac_ct_CXX@
198ac_ct_F77 = @ac_ct_F77@
199ac_ct_RANLIB = @ac_ct_RANLIB@ 154ac_ct_RANLIB = @ac_ct_RANLIB@
200ac_ct_STRIP = @ac_ct_STRIP@ 155ac_ct_STRIP = @ac_ct_STRIP@
201am__fastdepCC_FALSE = @am__fastdepCC_FALSE@ 156am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
202am__fastdepCC_TRUE = @am__fastdepCC_TRUE@ 157am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
203am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
204am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
205am__include = @am__include@ 158am__include = @am__include@
206am__leading_dot = @am__leading_dot@ 159am__leading_dot = @am__leading_dot@
207am__quote = @am__quote@ 160am__quote = @am__quote@
208am__tar = @am__tar@
209am__untar = @am__untar@
210bindir = @bindir@ 161bindir = @bindir@
211build = @build@ 162build = @build@
212build_alias = @build_alias@ 163build_alias = @build_alias@
213build_cpu = @build_cpu@ 164build_cpu = @build_cpu@
214build_os = @build_os@ 165build_os = @build_os@
225install_sh = @install_sh@ 176install_sh = @install_sh@
226libdir = @libdir@ 177libdir = @libdir@
227libexecdir = @libexecdir@ 178libexecdir = @libexecdir@
228localstatedir = @localstatedir@ 179localstatedir = @localstatedir@
229mandir = @mandir@ 180mandir = @mandir@
230mkdir_p = @mkdir_p@
231no_x = @no_x@ 181no_x = @no_x@
232oldincludedir = @oldincludedir@ 182oldincludedir = @oldincludedir@
233pkgconfdir = @pkgconfdir@ 183pkgconfdir = @pkgconfdir@
234pkgstatedir = @pkgstatedir@ 184pkgstatedir = @pkgstatedir@
235prefix = @prefix@ 185prefix = @prefix@
238sharedstatedir = @sharedstatedir@ 188sharedstatedir = @sharedstatedir@
239sysconfdir = @sysconfdir@ 189sysconfdir = @sysconfdir@
240target_alias = @target_alias@ 190target_alias = @target_alias@
241x_includes = @x_includes@ 191x_includes = @x_includes@
242x_libraries = @x_libraries@ 192x_libraries = @x_libraries@
193
243plugindir = $(pkglibdir)/plugins 194plugindir = $(pkglibdir)/plugins
244plugin_LTLIBRARIES = cfanim.la 195plugin_LTLIBRARIES = cfanim.la
245cfanim_la_SOURCES = cfanim.c\ 196cfanim_la_SOURCES = cfanim.c\
246 ../common/plugin_common.c 197 ../common/plugin_common.c
247 198
199
248SUBDIRS = include 200SUBDIRS = include
201
249cfanim_la_LIBADD = 202cfanim_la_LIBADD =
250cfanim_la_LDFLAGS = -module -avoid-version -Xlinker -export-dynamic -rdynamic -Xlinker -Bsymbolic 203cfanim_la_LDFLAGS = -module -avoid-version -Xlinker -export-dynamic -rdynamic -Xlinker -Bsymbolic
251AM_CPPFLAGS = -I$(srcdir)/include -I$(srcdir)/../common/include -I$(top_srcdir)/include 204AM_CPPFLAGS = -I$(srcdir)/include -I$(srcdir)/../common/include -I$(top_srcdir)/include
205subdir = plugins/cfanim
206ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
207mkinstalldirs = $(SHELL) $(top_srcdir)/utils/mkinstalldirs
208CONFIG_HEADER = $(top_builddir)/include/autoconf.h
209CONFIG_CLEAN_FILES =
210LTLIBRARIES = $(plugin_LTLIBRARIES)
211
212cfanim_la_DEPENDENCIES =
213am_cfanim_la_OBJECTS = cfanim.lo plugin_common.lo
214cfanim_la_OBJECTS = $(am_cfanim_la_OBJECTS)
215
216DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include
217depcomp = $(SHELL) $(top_srcdir)/utils/depcomp
218am__depfiles_maybe = depfiles
219@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/cfanim.Plo \
220@AMDEP_TRUE@ ./$(DEPDIR)/plugin_common.Plo
221COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
222 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
223LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
224 $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
225CCLD = $(CC)
226LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
227 $(AM_LDFLAGS) $(LDFLAGS) -o $@
228DIST_SOURCES = $(cfanim_la_SOURCES)
229
230RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
231 ps-recursive install-info-recursive uninstall-info-recursive \
232 all-recursive install-data-recursive install-exec-recursive \
233 installdirs-recursive install-recursive uninstall-recursive \
234 check-recursive installcheck-recursive
235DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
236DIST_SUBDIRS = $(SUBDIRS)
237SOURCES = $(cfanim_la_SOURCES)
238
252all: all-recursive 239all: all-recursive
253 240
254.SUFFIXES: 241.SUFFIXES:
255.SUFFIXES: .c .lo .o .obj 242.SUFFIXES: .c .lo .o .obj
256$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps) 243$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
257 @for dep in $?; do \
258 case '$(am__configure_deps)' in \
259 *$$dep*) \
260 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
261 && exit 0; \
262 exit 1;; \
263 esac; \
264 done; \
265 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu plugins/cfanim/Makefile'; \
266 cd $(top_srcdir) && \ 244 cd $(top_srcdir) && \
267 $(AUTOMAKE) --gnu plugins/cfanim/Makefile 245 $(AUTOMAKE) --gnu plugins/cfanim/Makefile
268.PRECIOUS: Makefile
269Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status 246Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
270 @case '$?' in \
271 *config.status*) \
272 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
273 *) \
274 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
275 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \ 247 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
276 esac; 248pluginLTLIBRARIES_INSTALL = $(INSTALL)
277
278$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
279 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
280
281$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
282 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
283$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
284 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
285install-pluginLTLIBRARIES: $(plugin_LTLIBRARIES) 249install-pluginLTLIBRARIES: $(plugin_LTLIBRARIES)
286 @$(NORMAL_INSTALL) 250 @$(NORMAL_INSTALL)
287 test -z "$(plugindir)" || $(mkdir_p) "$(DESTDIR)$(plugindir)" 251 $(mkinstalldirs) $(DESTDIR)$(plugindir)
288 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \ 252 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
289 if test -f $$p; then \ 253 if test -f $$p; then \
290 f=$(am__strip_dir) \ 254 f="`echo $$p | sed -e 's|^.*/||'`"; \
291 echo " $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(plugindir)/$$f'"; \ 255 echo " $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(plugindir)/$$f"; \
292 $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(plugindir)/$$f"; \ 256 $(LIBTOOL) --mode=install $(pluginLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(plugindir)/$$f; \
293 else :; fi; \ 257 else :; fi; \
294 done 258 done
295 259
296uninstall-pluginLTLIBRARIES: 260uninstall-pluginLTLIBRARIES:
297 @$(NORMAL_UNINSTALL) 261 @$(NORMAL_UNINSTALL)
298 @set -x; list='$(plugin_LTLIBRARIES)'; for p in $$list; do \ 262 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
299 p=$(am__strip_dir) \ 263 p="`echo $$p | sed -e 's|^.*/||'`"; \
300 echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(plugindir)/$$p'"; \ 264 echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(plugindir)/$$p"; \
301 $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(plugindir)/$$p"; \ 265 $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(plugindir)/$$p; \
302 done 266 done
303 267
304clean-pluginLTLIBRARIES: 268clean-pluginLTLIBRARIES:
305 -test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES) 269 -test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES)
306 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \ 270 @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
307 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \ 271 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
308 test "$$dir" != "$$p" || dir=.; \ 272 test "$$dir" = "$$p" && dir=.; \
309 echo "rm -f \"$${dir}/so_locations\""; \ 273 echo "rm -f \"$${dir}/so_locations\""; \
310 rm -f "$${dir}/so_locations"; \ 274 rm -f "$${dir}/so_locations"; \
311 done 275 done
312cfanim.la: $(cfanim_la_OBJECTS) $(cfanim_la_DEPENDENCIES) 276cfanim.la: $(cfanim_la_OBJECTS) $(cfanim_la_DEPENDENCIES)
313 $(LINK) -rpath $(plugindir) $(cfanim_la_LDFLAGS) $(cfanim_la_OBJECTS) $(cfanim_la_LIBADD) $(LIBS) 277 $(LINK) -rpath $(plugindir) $(cfanim_la_LDFLAGS) $(cfanim_la_OBJECTS) $(cfanim_la_LIBADD) $(LIBS)
314 278
315mostlyclean-compile: 279mostlyclean-compile:
316 -rm -f *.$(OBJEXT) 280 -rm -f *.$(OBJEXT) core *.core
317 281
318distclean-compile: 282distclean-compile:
319 -rm -f *.tab.c 283 -rm -f *.tab.c
320 284
321@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfanim.Plo@am__quote@ 285@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfanim.Plo@am__quote@
322@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin_common.Plo@am__quote@ 286@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin_common.Plo@am__quote@
323 287
324.c.o: 288.c.o:
325@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \ 289@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
290@am__fastdepCC_TRUE@ -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
326@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi 291@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
292@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
293@am__fastdepCC_TRUE@ fi
327@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ 294@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
295@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
328@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 296@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
329@am__fastdepCC_FALSE@ $(COMPILE) -c $< 297@am__fastdepCC_FALSE@ $(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<
330 298
331.c.obj: 299.c.obj:
332@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \ 300@am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
301@am__fastdepCC_TRUE@ -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
333@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi 302@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
303@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
304@am__fastdepCC_TRUE@ fi
334@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ 305@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
306@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
335@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 307@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
336@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'` 308@am__fastdepCC_FALSE@ $(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
337 309
338.c.lo: 310.c.lo:
339@am__fastdepCC_TRUE@ if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \ 311@am__fastdepCC_TRUE@ if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
312@am__fastdepCC_TRUE@ -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
340@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi 313@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
314@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
315@am__fastdepCC_TRUE@ fi
341@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@ 316@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
317@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
342@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 318@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
343@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $< 319@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<
320
321plugin_common.o: ../common/plugin_common.c
322@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.o -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" \
323@am__fastdepCC_TRUE@ -c -o plugin_common.o `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c; \
324@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Po"; \
325@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; \
326@am__fastdepCC_TRUE@ fi
327@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.o' libtool=no @AMDEPBACKSLASH@
328@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/plugin_common.Po' tmpdepfile='$(DEPDIR)/plugin_common.TPo' @AMDEPBACKSLASH@
329@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
330@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.o `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c
331
332plugin_common.obj: ../common/plugin_common.c
333@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.obj -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" \
334@am__fastdepCC_TRUE@ -c -o plugin_common.obj `if test -f '../common/plugin_common.c'; then $(CYGPATH_W) '../common/plugin_common.c'; else $(CYGPATH_W) '$(srcdir)/../common/plugin_common.c'; fi`; \
335@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Po"; \
336@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; \
337@am__fastdepCC_TRUE@ fi
338@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.obj' libtool=no @AMDEPBACKSLASH@
339@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/plugin_common.Po' tmpdepfile='$(DEPDIR)/plugin_common.TPo' @AMDEPBACKSLASH@
340@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
341@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.obj `if test -f '../common/plugin_common.c'; then $(CYGPATH_W) '../common/plugin_common.c'; else $(CYGPATH_W) '$(srcdir)/../common/plugin_common.c'; fi`
344 342
345plugin_common.lo: ../common/plugin_common.c 343plugin_common.lo: ../common/plugin_common.c
346@am__fastdepCC_TRUE@ if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.lo -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c; \ 344@am__fastdepCC_TRUE@ if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT plugin_common.lo -MD -MP -MF "$(DEPDIR)/plugin_common.Tpo" \
345@am__fastdepCC_TRUE@ -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c; \
347@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Plo"; else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; fi 346@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/plugin_common.Tpo" "$(DEPDIR)/plugin_common.Plo"; \
347@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/plugin_common.Tpo"; exit 1; \
348@am__fastdepCC_TRUE@ fi
348@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.lo' libtool=yes @AMDEPBACKSLASH@ 349@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='../common/plugin_common.c' object='plugin_common.lo' libtool=yes @AMDEPBACKSLASH@
350@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/plugin_common.Plo' tmpdepfile='$(DEPDIR)/plugin_common.TPlo' @AMDEPBACKSLASH@
349@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ 351@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
350@am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c 352@am__fastdepCC_FALSE@ $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plugin_common.lo `test -f '../common/plugin_common.c' || echo '$(srcdir)/'`../common/plugin_common.c
351 353
352mostlyclean-libtool: 354mostlyclean-libtool:
353 -rm -f *.lo 355 -rm -f *.lo
354 356
355clean-libtool: 357clean-libtool:
364# To change the values of `make' variables: instead of editing Makefiles, 366# To change the values of `make' variables: instead of editing Makefiles,
365# (1) if the variable is set in `config.status', edit `config.status' 367# (1) if the variable is set in `config.status', edit `config.status'
366# (which will cause the Makefiles to be regenerated when you run `make'); 368# (which will cause the Makefiles to be regenerated when you run `make');
367# (2) otherwise, pass the desired values on the `make' command line. 369# (2) otherwise, pass the desired values on the `make' command line.
368$(RECURSIVE_TARGETS): 370$(RECURSIVE_TARGETS):
369 @failcom='exit 1'; \ 371 @set fnord $$MAKEFLAGS; amf=$$2; \
370 for f in x $$MAKEFLAGS; do \
371 case $$f in \
372 *=* | --[!k]*);; \
373 *k*) failcom='fail=yes';; \
374 esac; \
375 done; \
376 dot_seen=no; \ 372 dot_seen=no; \
377 target=`echo $@ | sed s/-recursive//`; \ 373 target=`echo $@ | sed s/-recursive//`; \
378 list='$(SUBDIRS)'; for subdir in $$list; do \ 374 list='$(SUBDIRS)'; for subdir in $$list; do \
379 echo "Making $$target in $$subdir"; \ 375 echo "Making $$target in $$subdir"; \
380 if test "$$subdir" = "."; then \ 376 if test "$$subdir" = "."; then \
382 local_target="$$target-am"; \ 378 local_target="$$target-am"; \
383 else \ 379 else \
384 local_target="$$target"; \ 380 local_target="$$target"; \
385 fi; \ 381 fi; \
386 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ 382 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
387 || eval $$failcom; \ 383 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
388 done; \ 384 done; \
389 if test "$$dot_seen" = "no"; then \ 385 if test "$$dot_seen" = "no"; then \
390 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ 386 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
391 fi; test -z "$$fail" 387 fi; test -z "$$fail"
392 388
393mostlyclean-recursive clean-recursive distclean-recursive \ 389mostlyclean-recursive clean-recursive distclean-recursive \
394maintainer-clean-recursive: 390maintainer-clean-recursive:
395 @failcom='exit 1'; \ 391 @set fnord $$MAKEFLAGS; amf=$$2; \
396 for f in x $$MAKEFLAGS; do \
397 case $$f in \
398 *=* | --[!k]*);; \
399 *k*) failcom='fail=yes';; \
400 esac; \
401 done; \
402 dot_seen=no; \ 392 dot_seen=no; \
403 case "$@" in \ 393 case "$@" in \
404 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ 394 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
405 *) list='$(SUBDIRS)' ;; \ 395 *) list='$(SUBDIRS)' ;; \
406 esac; \ 396 esac; \
417 local_target="$$target-am"; \ 407 local_target="$$target-am"; \
418 else \ 408 else \
419 local_target="$$target"; \ 409 local_target="$$target"; \
420 fi; \ 410 fi; \
421 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ 411 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
422 || eval $$failcom; \ 412 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
423 done && test -z "$$fail" 413 done && test -z "$$fail"
424tags-recursive: 414tags-recursive:
425 list='$(SUBDIRS)'; for subdir in $$list; do \ 415 list='$(SUBDIRS)'; for subdir in $$list; do \
426 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \ 416 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
427 done 417 done
428ctags-recursive: 418ctags-recursive:
429 list='$(SUBDIRS)'; for subdir in $$list; do \ 419 list='$(SUBDIRS)'; for subdir in $$list; do \
430 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \ 420 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
431 done 421 done
432 422
423ETAGS = etags
424ETAGSFLAGS =
425
426CTAGS = ctags
427CTAGSFLAGS =
428
429tags: TAGS
430
433ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) 431ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
434 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ 432 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
435 unique=`for i in $$list; do \ 433 unique=`for i in $$list; do \
436 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ 434 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
437 done | \ 435 done | \
438 $(AWK) ' { files[$$0] = 1; } \ 436 $(AWK) ' { files[$$0] = 1; } \
439 END { for (i in files) print i; }'`; \ 437 END { for (i in files) print i; }'`; \
440 mkid -fID $$unique 438 mkid -fID $$unique
441tags: TAGS
442 439
443TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ 440TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
444 $(TAGS_FILES) $(LISP) 441 $(TAGS_FILES) $(LISP)
445 tags=; \ 442 tags=; \
446 here=`pwd`; \ 443 here=`pwd`; \
447 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ 444 if (etags --etags-include --version) >/dev/null 2>&1; then \
448 include_option=--etags-include; \ 445 include_option=--etags-include; \
449 empty_fix=.; \
450 else \ 446 else \
451 include_option=--include; \ 447 include_option=--include; \
452 empty_fix=; \
453 fi; \ 448 fi; \
454 list='$(SUBDIRS)'; for subdir in $$list; do \ 449 list='$(SUBDIRS)'; for subdir in $$list; do \
455 if test "$$subdir" = .; then :; else \ 450 if test "$$subdir" = .; then :; else \
456 test ! -f $$subdir/TAGS || \ 451 test -f $$subdir/TAGS && \
457 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \ 452 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
458 fi; \ 453 fi; \
459 done; \ 454 done; \
460 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ 455 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
461 unique=`for i in $$list; do \ 456 unique=`for i in $$list; do \
462 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ 457 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
463 done | \ 458 done | \
464 $(AWK) ' { files[$$0] = 1; } \ 459 $(AWK) ' { files[$$0] = 1; } \
465 END { for (i in files) print i; }'`; \ 460 END { for (i in files) print i; }'`; \
466 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \ 461 test -z "$(ETAGS_ARGS)$$tags$$unique" \
467 test -n "$$unique" || unique=$$empty_fix; \
468 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ 462 || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
469 $$tags $$unique; \ 463 $$tags $$unique
470 fi 464
471ctags: CTAGS 465ctags: CTAGS
472CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ 466CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
473 $(TAGS_FILES) $(LISP) 467 $(TAGS_FILES) $(LISP)
474 tags=; \ 468 tags=; \
475 here=`pwd`; \ 469 here=`pwd`; \
488 && cd $(top_srcdir) \ 482 && cd $(top_srcdir) \
489 && gtags -i $(GTAGS_ARGS) $$here 483 && gtags -i $(GTAGS_ARGS) $$here
490 484
491distclean-tags: 485distclean-tags:
492 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags 486 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
487DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
488
489top_distdir = ../..
490distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
493 491
494distdir: $(DISTFILES) 492distdir: $(DISTFILES)
495 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \ 493 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
496 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \ 494 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
497 list='$(DISTFILES)'; for file in $$list; do \ 495 list='$(DISTFILES)'; for file in $$list; do \
501 esac; \ 499 esac; \
502 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ 500 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
503 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \ 501 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
504 if test "$$dir" != "$$file" && test "$$dir" != "."; then \ 502 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
505 dir="/$$dir"; \ 503 dir="/$$dir"; \
506 $(mkdir_p) "$(distdir)$$dir"; \ 504 $(mkinstalldirs) "$(distdir)$$dir"; \
507 else \ 505 else \
508 dir=''; \ 506 dir=''; \
509 fi; \ 507 fi; \
510 if test -d $$d/$$file; then \ 508 if test -d $$d/$$file; then \
511 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ 509 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
516 test -f $(distdir)/$$file \ 514 test -f $(distdir)/$$file \
517 || cp -p $$d/$$file $(distdir)/$$file \ 515 || cp -p $$d/$$file $(distdir)/$$file \
518 || exit 1; \ 516 || exit 1; \
519 fi; \ 517 fi; \
520 done 518 done
521 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ 519 list='$(SUBDIRS)'; for subdir in $$list; do \
522 if test "$$subdir" = .; then :; else \ 520 if test "$$subdir" = .; then :; else \
523 test -d "$(distdir)/$$subdir" \ 521 test -d $(distdir)/$$subdir \
524 || $(mkdir_p) "$(distdir)/$$subdir" \ 522 || mkdir $(distdir)/$$subdir \
525 || exit 1; \ 523 || exit 1; \
526 distdir=`$(am__cd) $(distdir) && pwd`; \
527 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
528 (cd $$subdir && \ 524 (cd $$subdir && \
529 $(MAKE) $(AM_MAKEFLAGS) \ 525 $(MAKE) $(AM_MAKEFLAGS) \
530 top_distdir="$$top_distdir" \ 526 top_distdir="$(top_distdir)" \
531 distdir="$$distdir/$$subdir" \ 527 distdir=../$(distdir)/$$subdir \
532 distdir) \ 528 distdir) \
533 || exit 1; \ 529 || exit 1; \
534 fi; \ 530 fi; \
535 done 531 done
536check-am: all-am 532check-am: all-am
537check: check-recursive 533check: check-recursive
538all-am: Makefile $(LTLIBRARIES) 534all-am: Makefile $(LTLIBRARIES)
539installdirs: installdirs-recursive 535installdirs: installdirs-recursive
540installdirs-am: 536installdirs-am:
541 for dir in "$(DESTDIR)$(plugindir)"; do \ 537 $(mkinstalldirs) $(DESTDIR)$(plugindir)
542 test -z "$$dir" || $(mkdir_p) "$$dir"; \ 538
543 done
544install: install-recursive 539install: install-recursive
545install-exec: install-exec-recursive 540install-exec: install-exec-recursive
546install-data: install-data-recursive 541install-data: install-data-recursive
547uninstall: uninstall-recursive 542uninstall: uninstall-recursive
548 543
558mostlyclean-generic: 553mostlyclean-generic:
559 554
560clean-generic: 555clean-generic:
561 556
562distclean-generic: 557distclean-generic:
563 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) 558 -rm -f $(CONFIG_CLEAN_FILES)
564 559
565maintainer-clean-generic: 560maintainer-clean-generic:
566 @echo "This command is intended for maintainers to use" 561 @echo "This command is intended for maintainers to use"
567 @echo "it deletes files that may require special tools to rebuild." 562 @echo "it deletes files that may require special tools to rebuild."
568clean: clean-recursive 563clean: clean-recursive
578 573
579dvi: dvi-recursive 574dvi: dvi-recursive
580 575
581dvi-am: 576dvi-am:
582 577
583html: html-recursive
584
585info: info-recursive 578info: info-recursive
586 579
587info-am: 580info-am:
588 581
589install-data-am: install-pluginLTLIBRARIES 582install-data-am: install-pluginLTLIBRARIES
616 609
617uninstall-am: uninstall-info-am uninstall-pluginLTLIBRARIES 610uninstall-am: uninstall-info-am uninstall-pluginLTLIBRARIES
618 611
619uninstall-info: uninstall-info-recursive 612uninstall-info: uninstall-info-recursive
620 613
621.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \ 614.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
622 clean clean-generic clean-libtool clean-pluginLTLIBRARIES \ 615 clean-generic clean-libtool clean-pluginLTLIBRARIES \
623 clean-recursive ctags ctags-recursive distclean \ 616 clean-recursive ctags ctags-recursive distclean \
624 distclean-compile distclean-generic distclean-libtool \ 617 distclean-compile distclean-generic distclean-libtool \
625 distclean-recursive distclean-tags distdir dvi dvi-am html \ 618 distclean-recursive distclean-tags distdir dvi dvi-am \
626 html-am info info-am install install-am install-data \ 619 dvi-recursive info info-am info-recursive install install-am \
627 install-data-am install-exec install-exec-am install-info \ 620 install-data install-data-am install-data-recursive \
628 install-info-am install-man install-pluginLTLIBRARIES \ 621 install-exec install-exec-am install-exec-recursive \
629 install-strip installcheck installcheck-am installdirs \ 622 install-info install-info-am install-info-recursive install-man \
623 install-pluginLTLIBRARIES install-recursive install-strip \
624 installcheck installcheck-am installdirs installdirs-am \
630 installdirs-am maintainer-clean maintainer-clean-generic \ 625 installdirs-recursive maintainer-clean maintainer-clean-generic \
631 maintainer-clean-recursive mostlyclean mostlyclean-compile \ 626 maintainer-clean-recursive mostlyclean mostlyclean-compile \
632 mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \ 627 mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
633 pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \ 628 pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
629 tags-recursive uninstall uninstall-am uninstall-info-am \
634 uninstall-info-am uninstall-pluginLTLIBRARIES 630 uninstall-info-recursive uninstall-pluginLTLIBRARIES \
631 uninstall-recursive
635 632
636 633
637proto: 634proto:
638 cproto -D__CEXTRACT__ -o include/cfanim_proto.h $(CPPFLAGS) $(AM_CPPFLAGS) \ 635 cproto -D__CEXTRACT__ -o include/cfanim_proto.h $(CPPFLAGS) $(AM_CPPFLAGS) \
639 `echo $(SOURCES) " " | $(AWK) -v RS=" " '/.c$$/ { print }'` 636 `echo $(SOURCES) " " | $(AWK) -v RS=" " '/.c$$/ { print }'`

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines